Bug 31736 - kmail lockfile call wrong
kmail lockfile call wrong
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-13 17:39 EST by Paul Gampe
Modified: 2013-01-10 16:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-13 17:39:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Gampe 2001-03-13 17:39:19 EST
[pgampe@bob SOURCES]$ kmail --version
Qt: 2.2.4
KDE: 2.1
KMail: 1.2	

kmail version 1.2 does not use the new -ml/-mu options to lockfile when 
the procmail locking option is selected.  Subsequently data can be lost.  
The following patch fixes this:

diff -ruN kdenetwork-2.1.orig/kmail/kmfolder.cpp 
kdenetwork-2.1/kmail/kmfolder.cpp
--- kdenetwork-2.1.orig/kmail/kmfolder.cpp      Mon Feb 19 01:30:36 2001
+++ kdenetwork-2.1/kmail/kmfolder.cpp   Mon Mar 12 16:48:11 2001
@@ -338,7 +338,7 @@
       break;
 
     case procmail_lockfile:
-      cmd_str = "lockfile " + location() + ".lock";
+      cmd_str = "lockfile -ml";
       rc = system( cmd_str.latin1() );
       if( rc != 0 )
       {
@@ -437,7 +437,7 @@
       break;
 
     case procmail_lockfile:
-      cmd_str = "rm -f " + location() + ".lock";
+      cmd_str = "lockfile -mu";
       rc = system( cmd_str.latin1() );
       if( mIndexStream )
       {
Comment 1 Bernhard Rosenkraenzer 2001-03-16 06:55:23 EST
Fixed in 2.1-6

Note You need to log in before you can comment on or make changes to this bug.